com.comtrade.ecm.engine.persistence

## Interface PersistenceEntityManager<T extends Persistable>

-     public interface PersistenceEntityManager<T extends Persistable>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `count(ApplicationUser user, java.lang.Class<T> clazz, QueryParameters queryParameters)`
    `void` | `delete(ApplicationUser user, java.lang.Class<? extends T> businessEntityClass, Id primaryKey)`
    `void` | `delete(ApplicationUser user, T businessEntity)`
    `void` | `deleteAll(ApplicationUser user, java.lang.Class<T> clazz, QueryParameters queryParameters)`
    `T` | `execute(java.lang.Class<T> returnTypeClass, java.lang.String actionId, ApplicationUser user, T businessEntity, Accessible additionalParameters)`
    `T` | `getById(ApplicationUser user, java.lang.Class<T> businessEntityClass, Id primaryKey)`
    `T` | `getByMasterId(ApplicationUser user, java.lang.Class<T> businessEntityClass, Id primaryKey)`
    `java.util.List<T>` | `getData(ApplicationUser user, java.lang.Class<T> clazz, QueryParameters queryParameters)`
    `QueryResponse<T>` | `getEditData(ApplicationUser user, java.lang.Class<T> clazz, QueryParameters queryParameters)`
    `QueryResponse<T>` | `getSelectionData(ApplicationUser user, java.lang.Class<T> clazz, QueryParameters queryParameters)`
    `T` | `getTotalData(ApplicationUser user, java.lang.Class<T> clazz, QueryParameters queryParameters)`
    `void` | `insert(ApplicationUser user, T businessEntity)`
    `void` | `update(ApplicationUser user, T businessEntity)`

- - ### Method Detail

    - #### getData

          java.util.List<T> getData(ApplicationUser user,
                                    java.lang.Class<T> clazz,
                                    QueryParameters queryParameters)
                             throws PersistenceException

      Throws:
        `PersistenceException`

    - #### getEditData

          QueryResponse<T> getEditData(ApplicationUser user,
                                       java.lang.Class<T> clazz,
                                       QueryParameters queryParameters)
                                throws PersistenceException

      Throws:
        `PersistenceException`

    - #### getSelectionData

          QueryResponse<T> getSelectionData(ApplicationUser user,
                                            java.lang.Class<T> clazz,
                                            QueryParameters queryParameters)
                                     throws PersistenceException

      Throws:
        `PersistenceException`

    - #### getTotalData

          T getTotalData(ApplicationUser user,
                         java.lang.Class<T> clazz,
                         QueryParameters queryParameters)
                  throws PersistenceException

      Throws:
        `PersistenceException`

    - #### count

          long count(ApplicationUser user,
                     java.lang.Class<T> clazz,
                     QueryParameters queryParameters)
              throws PersistenceException

      Throws:
        `PersistenceException`

    - #### getById

          T getById(ApplicationUser user,
                    java.lang.Class<T> businessEntityClass,
                    Id primaryKey)
             throws PersistenceException

      Throws:
        `PersistenceException`

    - #### getByMasterId

          T getByMasterId(ApplicationUser user,
                          java.lang.Class<T> businessEntityClass,
                          Id primaryKey)
                   throws PersistenceException

      Throws:
        `PersistenceException`

    - #### deleteAll

          void deleteAll(ApplicationUser user,
                         java.lang.Class<T> clazz,
                         QueryParameters queryParameters)
                  throws PersistenceException

      Throws:
        `PersistenceException`

    - #### execute

          T execute(java.lang.Class<T> returnTypeClass,
                    java.lang.String actionId,
                    ApplicationUser user,
                    T businessEntity,
                    Accessible additionalParameters)
             throws PersistenceException

      Throws:
        `PersistenceException`

    - #### insert

          void insert(ApplicationUser user,
                      T businessEntity)
               throws PersistenceException

      Throws:
        `PersistenceException`

    - #### update

          void update(ApplicationUser user,
                      T businessEntity)
               throws PersistenceException

      Throws:
        `PersistenceException`

    - #### delete

          void delete(ApplicationUser user,
                      T businessEntity)
               throws PersistenceException

      Throws:
        `PersistenceException`

    - #### delete

          void delete(ApplicationUser user,
                      java.lang.Class<? extends T> businessEntityClass,
                      Id primaryKey)
               throws PersistenceException

      Throws:
        `PersistenceException`